From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/libtrace/
Date: Fri, 7 Aug 2020 07:40:01 +0000 (UTC) [thread overview]
Message-ID: <1596786000.70fe77572b57564976a75679d818701d80d97a11.jer@gentoo> (raw)
commit: 70fe77572b57564976a75679d818701d80d97a11
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 7 07:29:37 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Aug 7 07:40:00 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70fe7757
net-libs/libtrace: Version 4.0.14_p1
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-libs/libtrace/Manifest | 1 +
net-libs/libtrace/libtrace-4.0.14_p1.ebuild | 68 +++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/net-libs/libtrace/Manifest b/net-libs/libtrace/Manifest
index 56c76fa58dd..f17765e5733 100644
--- a/net-libs/libtrace/Manifest
+++ b/net-libs/libtrace/Manifest
@@ -2,3 +2,4 @@ DIST libtrace-4.0.10_p1.tar.gz 1855110 BLAKE2B c2b59b52e65ed2227bf87517c1c439498
DIST libtrace-4.0.11_p1.tar.gz 1855693 BLAKE2B 9135b03258005587ef2e2b51c6e8c87bb2fb4963489b1ce5933c46100d708fa32978fc5b449ffde11fc6c27706afd36a82428cc55f0555a864ffad636f9c991d SHA512 b3cab7d24efe4503358f2265957170b0857f52c4ea2bac0d5424fe3b9565ead51795596ce28410e15741d89e3ba1db3c22046557a3e5b21af8c1b6f8ed9cd585
DIST libtrace-4.0.12_p1.tar.gz 1865404 BLAKE2B 3b628cc8264fd76bd513a56de9aaa1e0458b10271532853964b8cd1979d73925d48e7255589087e36f98d45809e71bc8dba972e48af9cc26285987327a4bd5f9 SHA512 b2253ba37b6c5d6f6d0efe1ac5c02b67b382e294e291abdb92c697e1a26cbe75b5f54a44bc7e07b1a0c8cb5efc36a3cc3fb48a9d79a090d6732692dbd268b8f8
DIST libtrace-4.0.13_p1.tar.gz 1867583 BLAKE2B 5f6526a19255a2e8fccc345ae7682a44709325eb031352234358be08b963339fffaa7f4324ef738cf19bac941bcb7b1e748caaf51a2defd937c5684616a7efa0 SHA512 23f9a55b3185ede5a5d345dd12cda3eb2b77b1e76c46e210ad847b3e70c22de5c9eccf5a34b8b9305d35ed22e6b68fe7003dc699a28968f7b30895f0341cb4b9
+DIST libtrace-4.0.14_p1.tar.gz 1891628 BLAKE2B 5c30d48b34ab98fc53419a1ec7a205ec9dd97f7d162c1ea6ffcb30246ed1dde16332936d9ea3dafa32dc7a0eb991c3b384690e5f95f3646a85456d8ff28db70a SHA512 ac9031d168656c22a6113938c91b297d78a67a03d0809443345e1501f63c68812298af2760b34ce5bfa69e8d0968185bd3b6eabb838a94130ebad22bd2ecc488
diff --git a/net-libs/libtrace/libtrace-4.0.14_p1.ebuild b/net-libs/libtrace/libtrace-4.0.14_p1.ebuild
new file mode 100644
index 00000000000..9cd5b1a63f4
--- /dev/null
+++ b/net-libs/libtrace/libtrace-4.0.14_p1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+DESCRIPTION="A library and tools for trace processing"
+HOMEPAGE="https://research.wand.net.nz/software/libtrace.php"
+SRC_URI="https://github.com/${PN^}Team/${PN}/archive//${PV/_p/-}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc ncurses numa static-libs"
+
+RDEPEND="
+ >=net-libs/libpcap-0.8
+ dev-libs/libyaml
+ dev-libs/openssl:0=
+ net-libs/wandio
+ ncurses? ( sys-libs/ncurses:0= )
+ numa? ( sys-process/numactl )
+"
+DEPEND="
+ ${RDEPEND}
+ app-doc/doxygen[dot]
+ sys-devel/flex
+ virtual/os-headers
+ virtual/pkgconfig
+ virtual/yacc
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.0.20-autoconf-1.13.patch
+ "${FILESDIR}"/${PN}-4.0.0-no-examples.patch
+ "${FILESDIR}"/${PN}-4.0.0-with-numa.patch
+ "${FILESDIR}"/${PN}-4.0.9_p1-tinfo.patch
+)
+S=${WORKDIR}/${P/_p/-}
+
+src_prepare() {
+ default
+
+ eautoreconf
+
+ # Comment out FILE_PATTERNS definition (bug #706230)
+ if has_version ~app-doc/doxygen-1.8.16; then
+ sed -i -e '/^FILE_PATTERNS/s|^|#|g' docs/${PN}.doxygen.in || die
+ fi
+ # Update doxygen configuration
+ doxygen -u docs/libtrace.doxygen.in || die
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_with ncurses) \
+ $(use_with numa) \
+ --with-man \
+ --without-dpdk
+}
+
+src_install() {
+ default
+
+ use doc && dodoc -r docs/doxygen/html
+
+ find "${D}" -name "*.la" -delete || die
+}
next reply other threads:[~2020-08-07 7:41 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-08-07 7:40 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-23 0:27 [gentoo-commits] repo/gentoo:master commit in: net-libs/libtrace/ Sam James
2023-08-31 6:04 Sam James
2023-06-01 6:43 Sam James
2022-12-17 8:52 Sam James
2022-11-09 5:41 Sam James
2022-07-05 3:15 Sam James
2022-07-05 3:15 Sam James
2021-09-16 1:18 Sam James
2021-02-27 4:12 Sam James
2021-02-27 4:12 Sam James
2021-02-27 4:12 Sam James
2021-02-27 4:12 Sam James
2021-02-27 4:12 Sam James
2021-02-27 4:12 Sam James
2021-02-27 4:12 Sam James
2020-05-26 6:32 Jeroen Roovers
2020-03-27 6:46 Jeroen Roovers
2020-02-15 11:05 Jeroen Roovers
2020-02-15 9:30 Jeroen Roovers
2020-02-13 13:30 Jeroen Roovers
2020-02-13 13:04 Jeroen Roovers
2020-01-29 15:04 Jeroen Roovers
2019-11-09 8:58 Jeroen Roovers
2019-11-07 23:06 Jeroen Roovers
2019-11-07 8:28 Jeroen Roovers
2019-08-18 12:07 Jeroen Roovers
2019-08-18 12:06 Jeroen Roovers
2019-07-01 5:34 Jeroen Roovers
2019-05-15 8:41 Jeroen Roovers
2019-05-15 8:41 Jeroen Roovers
2019-05-15 8:24 Jeroen Roovers
2019-03-11 4:48 Aaron Bauman
2019-01-19 11:38 Jeroen Roovers
2019-01-19 11:38 Jeroen Roovers
2019-01-19 11:38 Jeroen Roovers
2018-11-21 23:42 Jeroen Roovers
2018-11-21 23:42 Jeroen Roovers
2018-07-06 11:18 Jeroen Roovers
2018-07-06 11:18 Jeroen Roovers
2018-03-05 15:06 Jeroen Roovers
2018-03-05 15:03 Jeroen Roovers
2017-11-18 10:43 Jeroen Roovers
2017-01-04 15:26 Jeroen Roovers
2017-01-04 15:26 Jeroen Roovers
2016-08-31 13:01 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1596786000.70fe77572b57564976a75679d818701d80d97a11.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox